# eric4.QScintilla.__init__

Package implementing the editor and shell components of the eric4 IDE.

The editor component of the eric4 IDE is based on the Qt port of the Scintilla editor widget. It supports syntax highlighting, code folding, has an interface to the integrated debugger and can be configured to the most possible degree.

The shell component is derived from the editor component and is the visible component of the interactive language shell. It interacts with the debug client through the debug server.

### Classes

None

### Functions

getCompleter | Module function to instantiate a lexer object for a given language.

## getCompleter

getCompleter(language, editor, parent = None)

Module function to instantiate a lexer object for a given language.

language
  language of the lexer (string)
editor
  reference to the editor object (QScintilla.Editor)
parent
  reference to the parent object (QObject)

Returns:
  reference to the instanciated lexer object (QsciLexer)

Up